package com.railway.business.baseinfo.service;

import com.railway.business.baseinfo.domain.BusZzdzxx;
import com.railway.business.baseinfo.domain.vo.BusSmartQueryVo;

import java.util.List;
/**
* 支柱吊柱信息
* @author wuhonghao
* @date 2021/10/13
*/
public interface IBusZzdzxxService{

    /**
    * 新增
    */
    int create(BusZzdzxx busZzdzxx);

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(BusZzdzxx busZzdzxx);

    /**
    * 获取单个
    */
    BusZzdzxx getInfo(String id);

    /**
    * 查询列表
    */
    List<BusZzdzxx> getList(BusZzdzxx busZzdzxx);

    /**
    * 智能查询
    */
    List<BusZzdzxx> smartQuery(BusSmartQueryVo busSmartQueryVo);

}
